#!/usr/bin/perl -w

use Eidetic::Stp;

# == Configuration ======================================================
# The domain portion of your site, used for setting up mail addresses
$domain      = "osdl.org";      

# Email address for users to send administrative requests
$adminAddrs  = "bryce\@$domain";

# Generic webmaster account
$webmaster   = "webmaster\@$domain";

# Location where eidetic is installed
$eideticDir  = "/home/www/eidetic";

# Location of templates
$srcDir      = "/home/www/site_src";

# Location of html root (for images)
$htmlDir     = "/home/www/site_html";

# Location to use for temporary files
$tmpDir      = "/tmp";

# Database identification information
# $db_host     = 'DBI:mysql:EIDETIC:air.osdl.org';
$db_host     = 'DBI:mysql:EIDETIC:cl004';
$db_user     = 'mysql';
$db_pass     = 'Mysql#99';

# == End of configuration section =============


my %stdcmds = (
	       store    => \&Eidetic::Stp::do_store,
	       search   => \&Eidetic::Stp::do_search,
	       edit     => \&Eidetic::Stp::do_edit,
	       remove   => \&Eidetic::Stp::do_remove,
	       display  => \&Eidetic::Stp::do_display
	       );

Eidetic::Stp::registerModule('colors', {
    tables     => ('eidetic:color'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_colors,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('rsf_types', {
    tables     => ('eidetic:color'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_colors,
    commands   => { 
	display => \&Eidetic::Stp::do_display 
	}
} );

Eidetic::Stp::registerModule('admin', {
    tables     => (''),
    databases  => (''),
    handler    => \&Eidetic::Stp::do_admin,
    commands   => { }
} );

Eidetic::Stp::registerModule('stp', {
    tables     => ('eidetic:test_request'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_stp,
    commands   => {
	apply            => \&Eidetic::Stp::do_edit,
	store            => \&Eidetic::Stp::do_store,
	new_test         => \&Eidetic::Stp::do_edit,
	edit             => \&Eidetic::Stp::do_edit,
	reedit           => \&Eidetic::Stp::do_edit,
	cancel_confirm   => \&Eidetic::Stp::do_cancel_confirm,
	cancel           => \&Eidetic::Stp::do_cancel,
	remove           => \&Eidetic::Stp::do_remove,
	display          => \&Eidetic::Stp::do_display,
	search           => \&Eidetic::Stp::do_search,
	redirect         => \&Eidetic::Stp::do_redirect,
	userpage         => \&Eidetic::Stp::do_userpage
	}
} );

Eidetic::Stp::registerModule('hardware_schedule', {
    tables     => (''),
    databases  => (''),
    handler    => \&Eidetic::Stp::do_hardware_schedule,
    commands   => { }
} );

Eidetic::Stp::registerModule('office', {
    tables     => ('eidetic:office_temp'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_offices,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('office_types', {
    tables     => ('eidetic:office_type_temp'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_office_types,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('components', {
    tables     => ('eidetic:component_temp'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_components,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('component_types', {
    tables     => ('eidetic:component_type_temp'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_component_types,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('hosts', {
    tables     => ('eidetic:host'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_hosts,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('stp_host_types', {
    tables     => ('eidetic:host_type'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_host_types,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('host_types', {
    tables     => ('eidetic:host_type'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_host_types,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('host_states', {
    tables     => ('eidetic:host_state'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_host_states,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('distro_tags', {
    tables => ('eidetic:distro_tag'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_distro_tags,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('kernel_tags', {
    tables => ('eidetic:kernel_tag'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_kernel_tags,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('test_campaigns', {
    tables => ('eidetic:test_campaign'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_test_campaign,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('tests', {
    tables => ('eidetic:test'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_tests,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('stp_log', {
    tables => ('eidetic:stp_log'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_stp_log,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('patch_tag', {
    tables => ('eidetic:patch_tag'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_patch_tag,
    commands   => \%stdcmds
} );



Eidetic::Stp::registerModule('test_priorities', {
    tables => ('eidetic:test_priority'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_test_priorities,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('cpu_types', {
    tables => ('eidetic:cpu_type'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_cpu_types,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('test_requests', {
    tables => ('eidetic:test_request'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_test_requests,
    commands   => {
	store => \&Eidetic::Stp::do_store,
	edit => \&Eidetic::Stp::do_edit,
	next_edit => \&Eidetic::Stp::do_next_edit,
	reedit => \&Eidetic::Stp::do_edit,
	remove => \&Eidetic::Stp::do_remove,
	search => \&Eidetic::Stp::do_search,
	display => \&Eidetic::Stp::do_display
	}
} );

Eidetic::Stp::registerModule('users', {
    tables => ('eidetic:user'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_users,
    commands   => {
	intro => \&Eidetic::Stp::do_intro,
	userpage => \&Eidetic::Stp::do_userpage,
	edit => \&Eidetic::Stp::do_edit,
	reedit => \&Eidetic::Stp::do_edit,
	reedit_password => \&Eidetic::Stp::do_edit_password,
	reset_password => \&Eidetic::Stp::do_reset_password,
	store => \&Eidetic::Stp::do_store,
	edit_password => \&Eidetic::Stp::do_edit_password,
	store_password => \&Eidetic::Stp::do_store_password,
	remove => \&Eidetic::Stp::do_remove,
	display => \&Eidetic::Stp::do_display,
	search => \&Eidetic::Stp::do_search,
	thanks => \&Eidetic::Stp::do_users_thanks
	}
} );
 
Eidetic::Stp::registerModule('actions', {
    tables => ('eidetic:action'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_actions,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('action_states', {
    tables => ('eidetic:action_state'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_action_states,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('articles', {
    tables => ('eidetic:article'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_articles,
    commands   => {
	store    => \&Eidetic::Stp::do_store,
	storefile=> \&Eidetic::Stp::do_storefile,
	edit     => \&Eidetic::Stp::do_edit,
	remove   => \&Eidetic::Stp::do_remove,
	display  => \&Eidetic::Stp::do_display,
	editfile => \&Eidetic::Stp::do_editfile
	}
} );

Eidetic::Stp::registerModule('article_types', {
    tables => ('eidetic:article_type'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_article_types,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('events', {
    tables => ('eidetic:event'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_events,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('hardware_schedule', {
    tables => ('eidetic:hardware_schedule'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_hardware_schedule,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('event_types', {
    tables => ('eidetic:event_type'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_event_types,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('projects', {
    tables => ('eidetic:project'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_projects,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('campaign', {
    tables => ('eidetic:campaign'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_campaign,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('lab', {
    tables => ('eidetic:lab'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_lab,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('archive', {
    tables => ('eidetic:archive'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_archive,
    commands   => {
	apply    => \&Eidetic::Stp::do_edit,
	store    => \&Eidetic::Stp::do_store,
	edit     => \&Eidetic::Stp::do_edit,
	reedit   => \&Eidetic::Stp::do_edit,
	remove   => \&Eidetic::Stp::do_remove,
	display  => \&Eidetic::Stp::do_display,
	search   => \&Eidetic::Stp::do_search,
	redirect => \&Eidetic::Stp::do_redirect,
	userpage => \&Eidetic::Stp::do_userpage
	}
} );

Eidetic::Stp::registerModule('assets', {
    tables => ('eidetic:asset_temp'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_asset,
    commands   => {
	apply    => \&Eidetic::Stp::do_edit,
	store    => \&Eidetic::Stp::do_store,
	edit     => \&Eidetic::Stp::do_edit,
	reedit   => \&Eidetic::Stp::do_edit,
	remove   => \&Eidetic::Stp::do_remove,
	display  => \&Eidetic::Stp::do_display,
	search   => \&Eidetic::Stp::do_search
	}
} );

############
### MAIN ###
############

Eidetic::Stp::main();

