# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

package STP::Client::TestEnvironment;

use strict;
use warnings;

use STP::XML::ClientConfig;

my $CONFIGFILE = "/tmp/clientconfig.xml";

# each of these instanciates a new clientconfig, and reads the data
# so that there is no dependency on anything being memory resident or
# set up.

# setupEnvironment should ONLY be called from one of the subroutines
# and never directly
sub setupEnvironment {
    my $cc = new STP::XML::ClientConfig( $CONFIGFILE );

    return $cc;
}

sub get_largest_device {
    my $cc = setupEnvironment();

}

sub get_largest_device_mountpoint {
}

sub get_largest_device_size {
}

sub get_client_machines {
}

sub get_basepath {
    my $cc = setupEnvironment();

    return $cc->getElementValue( "basepath" );
}

sub get_email {
    my $cc = setupEnvironment();

    return $cc->getElementValue( "email" );
}

1;
