# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
package STP::Util::Log;

sub new {
    my $self = {};
    bless $self;

    shift;

    my ( $logfile ) = @_;

    if ( !defined( $logfile ) ) {
        $logfile = "";
    }

    $self->{ logfile } = $logfile;

    return $self;
}

sub log {
    my ( $self, $message ) = @_;

    if ( $self->{ logfile } eq "" ) {
        print STDERR $message . "\n";
        return;
    }

    open( FILE, $self->{ logfile } );

    print FILE $message . "\n";
    close( FILE );
}

1;
