# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

package STP::XML::HostType;
@ISA = qw( STP::XML::QDXml );

use strict;
use warnings;
use STP::XML::QDXml;
use STP::XML::QDXmlElement;

# <hosttype>
#    <uid></uid>
#    <descriptor></descriptor>
#    <cpu></cpu>
#    <ram_qty></ram_qty>
#    <storage_space></storage_space>
#    <spindle_qty></spindle_qty>
#    <eth100></eth100>
#    <eth1000></eth1000>

sub new {

    # if we get a config file name passed, use it
    shift;
    my ( $configfile ) = @_;

    # instanciate the data, fill in the values
    my $self = {};
    bless $self;

    # create an array to hold the data
    $self->{ data } = [];

    # set our element name
    $self->{ elementName } = "hosttype";

    # set up our config
    $self->addElement( "uid",           "" );
    $self->addElement( "descriptor",    "" );
    $self->addElement( "cpu",           "" );
    $self->addElement( "ram_qty",       "" );
    $self->addElement( "storage_space", "" );
    $self->addElement( "spindle_qty",   "" );
    $self->addElement( "eth100",        "" );
    $self->addElement( "eth1000",       "" );

    return $self;
}

1;
