# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# an XML object for the main settings, including methods for direct data
# interaction

package STP::XML::Test;
@ISA = qw( STP::XML::QDXml );

use strict;
use warnings;
use STP::XML::QDXml;
use STP::XML::QDXmlElement;

# config:
#
# <test>
#    <uid></uid>
#    <descriptor></descriptor>
#    <description></description>
#    <lilo_default></lilo_default>
# </test>

# most of this new is a copy of QDXml -- i hate perl 5's "object" model
sub new {

    # if we get a config file name passed, use it
    shift;
    my ( $configfile ) = @_;

    # instanciate the data, fill in the values
    my $self = {};
    bless $self;

    # create an array to hold the data
    $self->{ data } = [];

    # set our element name
    $self->{ elementName } = "test";

    # set up our config
    $self->addElement( "uid",          "" );
    $self->addElement( "descriptor",   "" );
    $self->addElement( "description",  "" );
    $self->addElement( "lilo_default", "" );

    return $self;
}

1;
