DROP TABLE IF EXISTS test_request;
CREATE TABLE test_request (
  uid 			int(11) NOT NULL auto_increment,
  rsf 			tinyint(3) default '1',
  descriptor		varchar(20) default NULL,
  created_by 		int(11) default NULL,
  created_date 		datetime default NULL,
  last_updated_by 	int(11) default NULL,
  last_updated_date 	datetime default NULL,
  status 		int(11) default NULL,
  distro_tag_uid 	int(11) default NULL,
  test_uid 		int(11) default NULL,
  script_param 		int(11) default NULL,
  patch_tag 		int(11) default NULL,
  auto_publish 		tinyint(3) default '1',
  host_uid 		int(10) unsigned NOT NULL default '0',
  completion_date 	datetime default NULL,
  project_uid 		int(11) default NULL,
  test_priority 	int(11) default '1',
  host_type_uid 	int(11) default NULL,
  notes 		text,
  PRIMARY KEY  (uid),
  KEY rsf_index (rsf),
  KEY created_by_index (created_by),
  KEY created_date_index (created_date),
  KEY status_index (status),
  KEY auto_publish_index (auto_publish)
);

