#!/bin/sh

# Script to compress results > 120 days old
# Only compress files greater than 2kb

# This is currently set to run from my home machine
# Should be adjusted for robot
RESULTS="/home/robot/results"
# Log to keep list of directories in
LOGFILE="/var/log/stp/compress_log"
# Switch 
PREVNAME="foo"

# Cleanup old logfile 
if [ -f $LOGFILE ]; then
	rm -f $LOGFILE
fi


cd $RESULTS || exit 1

#
# We will compress any .html files older than 300 days. 
# This compression will use .hgz  so apache knows to 
# give them the text/html mimetype
# Errors in compression will be logged, but we'll keep going

for i in `find . -name "*.html" -mtime +300 -type f`
do
	gzip -9 -S .hgz || echo "ERROR $i" >> $LOGFILE
done
#
# We need to leave the data uncompress to allow access by data mining tools
# without uncompression. ( we data mine frequently )
# After 120 days, we'll assume the data is assimulated and compress
# .html files. Previously compressed files and files smaller than
# 2kb will not be compressed. ( no real benefit at that size )

for i in `find . -mtime +120 -size +4 -type f | egrep -vi ".*\.(png|jpg|bz2|hgz|html|gz)$"`
do
	DIRNAME=`dirname $i`
	if [ $DIRNAME != $PREVNAME ]; then
		echo "Directory $DIRNAME" >> $LOGFILE
		PREVNAME=$DIRNAME
	fi
		gzip -9 $i || echo "ERROR $i" >> $LOGFILE
		# echo "File $i" >> $LOGFILE
done
