#!/usr/bin/perl -I/usr/share/stp/lib
# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

require STP::XML::Config;
require STP::DB::HostType;
require STP::DB::Test;
require STP::DB::TestHostType;

my $configfile = "/usr/share/stp/etc/config.xml";

my $config = new STP::XML::Config( $configfile );

my $ht  = new STP::DB::HostType( $config );
my @hts = $ht->getAllHostTypes();

my $descriptor   = get_input_from_user( "Test Name",    "" );
my $description  = get_input_from_user( "Description",  "" );
my $lilo_default = get_input_from_user( "Lilo Default", "" );

my $t   = new STP::DB::Test( $config );
my $uid = $t->writeTest( 0, $descriptor, $description, $lilo_default );

my $htq = "Host Type:\n";

foreach my $htt ( @hts ) {
    $htq .= $htt->getProperty( 0, "uid" ) . ") "
      . $htt->getProperty( 0, "descriptor" ) . "\n";
}

$htq .= "(q to quit)\n";

my $hosttype = get_input_from_user( $htq, "q" );

while ( !( $hosttype eq "q" ) ) {
    my $th = new STP::DB::TestHostType( $config );

    $th->writeTestHostType( 0, $uid, $hosttype );

    $hosttype = get_input_from_user( $htq, "q" );
}

sub get_input_from_user {
    my ( $question, $default ) = @_;

    print $question . "\n";
    print "     (default [$default]): ";

    my $input = <STDIN>;
    $input =~ s/\s+//;

    if ( $input eq "" ) {
        return $default;
    }

    return $input;
}
