%define name    stp
%define version 2.1.5
%define release 1
%define perl_site_perl /usr/lib/perl5/site_perl

Name:          %{name}
Summary:       Scalable Test Platform
Version:       %{version}
Release:       %{release}
Vendor:        Open Source Development Labs <stp-devel@lists.sourceforge.net>
License:       GPL
Group:         System Environment/Libraries
Url:           http://developer.osdl.org/dev/stp/
Prefix:        %{_prefix}
BuildRequires: perl
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildArch:     noarch
Source:        %{name}-%{version}.tar.gz
PreReq:        chkconfig
Requires:      perl >= 5.6.0 


%description
The purpose of this tool is to automate installation, configuration and set-up
test systems, run the tests and collect the data in an easily accessible and
configurable format. Open Source Development Labs use this for linux kernel
testing.

%prep
#
# if the old version of the file exists
# copy it to a backup

if [ -f /etc/config.xml ]; then
	cp /etc/config.xml /etc/config.xml.stpbackup
fi 

%setup -q

%build
export  INSTALLSITELIB=$RPM_BUILD_ROOT%{perl_site_perl} 
echo "DEBUG: CLEANING BUILD SPACE"
rm -f Makefile
echo "DEBUG: CREATING THE MAKEFILE"
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLSITELIB=$RPM_BUILD_ROOT%{perl_site_perl}

echo "DEBUG: MAKING THE SOFTWARE"
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLSITELIB=$RPM_BUILD_ROOT%{perl_site_perl}

echo "DEBUG: RUNNING MAKE TEST"
make test

%install
export  INSTALLSITELIB=$RPM_BUILD_ROOT%{perl_site_perl} 
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr
%{makeinstall} PREFIX=$RPM_BUILD_ROOT/usr INSTALLSITELIB=$RPM_BUILD_ROOT%{perl_site_perl} 

mkdir -p $RPM_BUILD_ROOT/var/log/stp
#
# Make the directory for the config file
# 
mkdir -p $RPM_BUILD_ROOT/etc/stp

#
# Place the perl modules
#
export  INSTALLSITELIB=$RPM_BUILD_ROOT%{perl_site_perl} 
echo
echo FILE LISTING FOR RPM_BUILD_ROOT
echo
ls -lRat $RPM_BUILD_ROOT
echo
export PERL_LIB_DIR="$RPM_BUILD_ROOT%{prefix}/lib/perl5/site_perl/"
mkdir -p $PERL_LIB_DIR
# mv $RPM_BUILD_ROOT%{prefix}/local/share/perl/5.8.0/* $PERL_LIB_DIR
# mv $RPM_BUILD_ROOT%{prefix}/lib/perl5/site_perl/STP $PERL_LIB_DIR
# mv $RPM_BUILD_ROOT%{prefix}/lib/perl5/site_perl/Eidetic $PERL_LIB_DIR

# Place binaries & config files
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc3.d

cp client/stp_init $RPM_BUILD_ROOT/etc/init.d/.

cp src/admin/power/stp_power_soft.cfg $RPM_BUILD_ROOT/etc/stp/.
cp etc/config.xml $RPM_BUILD_ROOT/etc/stp/.

# STP web client files
# This installs to the _currently_ correct area for the stp cgi's
# but eventually we want to change to installing to the more 
# standard location /var/www/stp/cgi-bin/
mkdir -p $RPM_BUILD_ROOT/home/www/cgi-bin/auth/
cp html_root/cgi-bin/stp.cgi $RPM_BUILD_ROOT/home/www/cgi-bin/
cp html_root/cgi-bin/auth/stp.cgi $RPM_BUILD_ROOT/home/www/cgi-bin/auth/

%clean
rm -rf $RPM_BUILD_ROOT

%post
#chkconfig --add stp_init

%postun
#if [ "$1" = 0 ] ; then
#  chkconfig --del stp_init
#fi

%files
%defattr(-,root,root)

# initrd setup
%attr(0750,-,-) /etc/init.d/stp_init

# we now have two config files
%config /etc/stp/stp_power_soft.cfg
%config /etc/stp/config.xml

# bin files
%attr(0755,-,-) /usr/bin/*

# perl library directories
%{prefix}/lib/perl5/site_perl/Eidetic/Stp.pm
%{prefix}/lib/perl5/site_perl/STP

# Log Directory
%attr(0775,robot,robot) /var/log/stp

# documentation
%docdir /usr/share/man/man3
%dir /usr/share/man/man3
%doc AUTHORS README NEWS 
%doc /usr/share/man/man3/* 
%doc /usr/share/man/man1/*

# Web client files
%attr(0755,www,www) /home/www/cgi-bin/stp.cgi
%attr(0755,www,www) /home/www/cgi-bin/auth/stp.cgi

%changelog
* Wed Feb 18 2004  <bryce@osdl.org>
- Adding commands for installing stp.cgi and auth/stp.cgi
- Making man pages install
- General cleanup, updating url's and email addy's, etc.
* Mon Jan 20 2003  <jun@osdl.org>
- added chkconfig handling
* Wed Jan 15 2003  <cem@osdl.org>
- removed symbolic link creation on clients
* Wed Aug 14 2002  <jerry@duck.pdx.osdl.net>
- Initial build.


